function str = SAToolboxLibraryCheck
% function str = SAToolboxLibraryCheck
%
%
% Dr. A. I. Hanna (2007)


% list the library function you want to check
lib_fnc_str = {'gtlib_growthParams2Tensor'};
lib_str = {'GTLib'};
str = {};
if length(lib_fnc_str)~=length(lib_str)
    fprintf('Check library function & name pairs!!\n');
    return
end

idx = [];
for i=1:length(lib_fnc_str)
    c = which(lib_fnc_str{i});
    if isempty(c)
        idx = cat(1, idx, i);
    end
end
if isempty(idx)
    return;
end
str = lib_str{idx};
[s,v] = listdlg('Name', 'Missing Libs', 'PromptString','The Following Libraries are Missing', 'SelectionMode', 'single','ListString',str, 'ListSize', [300 300]);
return
    

